summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVladimir Pavljuchenkov (SpiderX) <spiderx@spiderx.dp.ua>2019-09-05 19:53:39 +0300
committerJoonas Niilola <juippis@gentoo.org>2019-09-05 21:28:38 +0300
commit97abf8e1d28f88278ca051d53202dc84ca468748 (patch)
treebc6d08acbbf6c2179fabd6c8d8bd7ae6e970659f /net-im/slack-bin
parentnet-im/slack-bin: drop old ebuilds (diff)
downloadgentoo-97abf8e1d28f88278ca051d53202dc84ca468748.tar.gz
gentoo-97abf8e1d28f88278ca051d53202dc84ca468748.tar.bz2
gentoo-97abf8e1d28f88278ca051d53202dc84ca468748.zip
net-im/slack-bin: version bump to 4.0.2
Package-Manager: Portage-2.3.69, Repoman-2.3.16 Signed-off-by: Vladimir Pavljuchenkov <spiderx@spiderx.dp.ua> Closes: https://github.com/gentoo/gentoo/pull/12861 Closes: https://github.com/gentoo/gentoo/pull/12865 Signed-off-by: Joonas Niilola <juippis@gentoo.org>
Diffstat (limited to 'net-im/slack-bin')
-rw-r--r--net-im/slack-bin/Manifest1
-rw-r--r--net-im/slack-bin/slack-bin-4.0.2.ebuild98
2 files changed, 99 insertions, 0 deletions
diff --git a/net-im/slack-bin/Manifest b/net-im/slack-bin/Manifest
index ecf7c073955..6f66d39ecaf 100644
--- a/net-im/slack-bin/Manifest
+++ b/net-im/slack-bin/Manifest
@@ -2,3 +2,4 @@ DIST slack-desktop-2.1.2-amd64.deb 46460486 BLAKE2B c6478764d3bd49745f9626d85287
DIST slack-desktop-2.1.2-i386.deb 42997902 BLAKE2B e5b3375efbe00d31e34c900aedde4c6c19b0e6a550d9db6155d9f8333c9d6db241da60e9b711eee7dbf6cf89d5ac4b84050c9e89c490172b7db205f38981dca3 SHA512 6b68123d3c85687043e886974449fe424af267c326ffc869d03d911ae5d0f30f5081b611e136bc4f832da8d555b2851a4c093df9c8be2de98235ebcd03528d8c
DIST slack-desktop-3.1.1-amd64.deb 60320286 BLAKE2B 3054e8283b41d5b8b45323131b2a85800ba8b8e24e0b80aa0eff0c0152c7cad0a2914bf64a6b83621cf6c9ad52b9bf26c0d113cf5867d4c3f2e7d6129d4d27ae SHA512 06f209b07d1bbbadede592f4e63da7c53436ecc821585448269d4eda16ad0bdf8355ac46e508741150fae6dc883c90563509361f47dd02fda2f15b2829dda309
DIST slack-desktop-3.4.2-amd64.deb 62724122 BLAKE2B 31ab566b9a1cb80f1daa207664f4bf0504666cb388f06bf5cd5d381ab26f6b11a4eae5a4a0abd634dd562277fd291bddfb213b9285c4fab218488acc3bbd39a9 SHA512 d3d9ea70467fe59c6194430054d4bed5824a39b156ed9d215df4592eed7b63fbdb93d0a135502941805575f99bce0ec3fe266643cac731b75d9c58a760b3c1a4
+DIST slack-desktop-4.0.2-amd64.deb 61298592 BLAKE2B d6d30f75d245f78276036588eb69a579148feb18fd9232c096b95ce342d37719476eec49ec67147dcd87dbf84b60e8041c45cd6a133f48811cff33958abc43e5 SHA512 6647253eaf73022baaeacbc2e5c8a679cf1d65f8a43aec207b0aedafb74ba64b76196ee621f26097591ccd9e1aa215f2185e23b7083a4da9c89fb031f09a4471
diff --git a/net-im/slack-bin/slack-bin-4.0.2.ebuild b/net-im/slack-bin/slack-bin-4.0.2.ebuild
new file mode 100644
index 00000000000..4717b253329
--- /dev/null
+++ b/net-im/slack-bin/slack-bin-4.0.2.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="${PN/-bin/}"
+MULTILIB_COMPAT=( abi_x86_64 )
+
+inherit desktop multilib-build pax-utils unpacker xdg-utils
+
+DESCRIPTION="Team collaboration tool"
+HOMEPAGE="https://www.slack.com/"
+SRC_URI="https://downloads.slack-edge.com/linux_releases/${MY_PN}-desktop-${PV}-amd64.deb"
+
+LICENSE="all-rights-reserved"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+IUSE="ayatana gnome-keyring pax_kernel"
+RESTRICT="bindist mirror"
+
+RDEPEND="app-accessibility/at-spi2-atk:2[${MULTILIB_USEDEP}]
+ dev-libs/atk:0[${MULTILIB_USEDEP}]
+ dev-libs/expat:0[${MULTILIB_USEDEP}]
+ dev-libs/glib:2[${MULTILIB_USEDEP}]
+ dev-libs/nspr:0[${MULTILIB_USEDEP}]
+ dev-libs/nss:0[${MULTILIB_USEDEP}]
+ media-libs/alsa-lib:0[${MULTILIB_USEDEP}]
+ media-libs/mesa:0[${MULTILIB_USEDEP}]
+ net-print/cups:0[${MULTILIB_USEDEP}]
+ sys-apps/dbus:0[${MULTILIB_USEDEP}]
+ sys-apps/util-linux:0[${MULTILIB_USEDEP}]
+ x11-libs/cairo:0[${MULTILIB_USEDEP}]
+ x11-libs/gdk-pixbuf:2[${MULTILIB_USEDEP}]
+ x11-libs/gtk+:3[${MULTILIB_USEDEP}]
+ x11-libs/libX11:0[${MULTILIB_USEDEP}]
+ x11-libs/libxcb:0/1.12[${MULTILIB_USEDEP}]
+ x11-libs/libXcomposite:0[${MULTILIB_USEDEP}]
+ x11-libs/libXcursor:0[${MULTILIB_USEDEP}]
+ x11-libs/libXdamage:0[${MULTILIB_USEDEP}]
+ x11-libs/libXext:0[${MULTILIB_USEDEP}]
+ x11-libs/libXfixes:0[${MULTILIB_USEDEP}]
+ x11-libs/libXi:0[${MULTILIB_USEDEP}]
+ x11-libs/libxkbfile:0[${MULTILIB_USEDEP}]
+ x11-libs/libXrandr:0[${MULTILIB_USEDEP}]
+ x11-libs/libXrender:0[${MULTILIB_USEDEP}]
+ x11-libs/libXScrnSaver:0[${MULTILIB_USEDEP}]
+ x11-libs/libXtst:0[${MULTILIB_USEDEP}]
+ x11-libs/pango:0[${MULTILIB_USEDEP}]
+ ayatana? ( dev-libs/libappindicator:3[${MULTILIB_USEDEP}] )
+ gnome-keyring? ( app-crypt/libsecret:0[${MULTILIB_USEDEP}] )"
+
+QA_PREBUILT="opt/slack/slack
+ opt/slack/resources/app.asar.unpacked/node_modules/*
+ opt/slack/libnode.so
+ opt/slack/libffmpeg.so
+ opt/slack/libCallsCore.so
+ opt/slack/libVkICD_mock_icd.so
+ opt/slack/libEGL.so
+ opt/slack/libGLESv2.so
+ opt/slack/swiftshader/libEGL.so
+ opt/slack/swiftshader/libGLESv2.so"
+
+S="${WORKDIR}"
+
+src_prepare() {
+ default
+
+ if use ayatana ; then
+ sed -i '/Exec/s|=|=env XDG_CURRENT_DESKTOP=Unity |' \
+ usr/share/applications/slack.desktop \
+ || die "sed failed for slack.desktop"
+ fi
+}
+
+src_install() {
+ doicon usr/share/pixmaps/slack.png
+ doicon -s 512 usr/share/pixmaps/slack.png
+ domenu usr/share/applications/slack.desktop
+
+ insinto /opt/slack
+ doins -r usr/lib/slack/.
+ fperms +x /opt/slack/slack
+ dosym ../../opt/slack/slack usr/bin/slack
+
+ use pax_kernel && pax-mark -m "${ED%/}"/opt/slack/slack
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+ xdg_mimeinfo_database_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+ xdg_mimeinfo_database_update
+}